Bug 1003607 - vcut SEGV
vcut SEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vorbis-tools (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 09:28 EDT by David Woodhouse
Modified: 2013-09-22 20:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: vorbis-tools-1.4.0-12.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 09:04:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-09-02 09:28:08 EDT
I can't get vcut to do anything *but* segfault.

Starting program: /usr/bin/vcut msg0000.ogg foo.ogg bar.ogg +7
Processing: Cutting at 7.000000 seconds

Program received signal SIGSEGV, Segmentation fault.
__memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1578
1578		movdqu	-16(%rsi), %xmm0
(gdb) bt
#0  __memcpy_ssse3_back ()
    at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1578
#1  0x00000034448026bc in memcpy (__len=<optimized out>, 
    __src=<optimized out>, __dest=<optimized out>)
    at /usr/include/bits/string3.h:51
#2  ogg_stream_iovecin (os=os@entry=0x7fffffffdb78, 
    iov=iov@entry=0x7fffffffd560, count=count@entry=1, e_o_s=0, granulepos=0)
    at framing.c:337
#3  0x000000344480281c in ogg_stream_packetin (os=os@entry=0x7fffffffdb78, 
    op=op@entry=0x7fffffffd5e0) at framing.c:366
#4  0x0000000000401a20 in write_packet (s=s@entry=0x7fffffffd770, 
    packet=packet@entry=0x7fffffffd5e0) at vcut.c:494
#5  0x0000000000401b95 in submit_headers_to_stream (s=0x7fffffffd770)
    at vcut.c:199
#6  open_output_stream (s=0x7fffffffd770) at vcut.c:247
#7  write_packet (s=s@entry=0x7fffffffd770, packet=packet@entry=0x7fffffffd6b0)
    at vcut.c:483
#8  0x0000000000401fea in process_audio_packet (s=s@entry=0x7fffffffd770, 
    vs=vs@entry=0x7fffffffd7b8, packet=0x7fffffffd6b0) at vcut.c:464
#9  0x0000000000402393 in process_page (s=s@entry=0x7fffffffd770, 
    page=page@entry=0x7fffffffd720) at vcut.c:586
#10 0x00000000004025bb in vcut_process (s=s@entry=0x7fffffffd770) at vcut.c:618
#11 0x0000000000401518 in main (argc=<optimized out>, argv=0x7fffffffde28)
---Type <return> to continue, or q <return> to quit---
    at vcut.c:312
Comment 1 Kamil Dudka 2013-09-02 10:28:37 EDT
Thanks for the bug report!  I am able to reproduce the crash, will have a look what is wrong...
Comment 2 Kamil Dudka 2013-09-03 06:42:55 EDT
proposed a patch upstream:

http://thread.gmane.org/gmane.comp.multimedia.ogg.vorbis.devel/5738
Comment 3 Kamil Dudka 2013-09-03 07:02:51 EDT
fixed in vorbis-tools-1.4.0-12.fc21
Comment 4 Fedora Update System 2013-09-09 09:42:15 EDT
vorbis-tools-1.4.0-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vorbis-tools-1.4.0-10.fc19
Comment 5 Fedora Update System 2013-09-09 09:42:24 EDT
vorbis-tools-1.4.0-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vorbis-tools-1.4.0-12.fc20
Comment 6 Fedora Update System 2013-09-09 09:42:34 EDT
vorbis-tools-1.4.0-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vorbis-tools-1.4.0-8.fc18
Comment 8 Fedora Update System 2013-09-09 12:19:54 EDT
Package vorbis-tools-1.4.0-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vorbis-tools-1.4.0-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16142/vorbis-tools-1.4.0-12.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-09-18 09:04:23 EDT
vorbis-tools-1.4.0-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-09-18 09:05:40 EDT
vorbis-tools-1.4.0-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-09-22 20:10:55 EDT
vorbis-tools-1.4.0-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.